xcb_change_save_set(3)

NAME
xcb_change_save_set - Changes a client's save set

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_change_save_set(xcb_connection_t *conn, uint8_t mode, xcb_window_t window);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

mode
    One of the following values:

    XCB_SET_MODE_INSERT
        TODO: NOT YET DOCUMENTED.

    XCB_SET_MODE_DELETE
        TODO: NOT YET DOCUMENTED.
    Insert to add the specified window to the save set or Delete to delete it from the save set.

window
    The window to add or delete to/from your save set.

DESCRIPTION
TODO: explain what the save set is for. This function either adds or removes the specified window to the client's (your application's) save set.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_change_save_set_checked. See xcb-requests(3) for details.

ERRORS

xcb_match_error_t
    You created the specified window. This does not make sense, you can only add windows created by other clients to your save set.

xcb_value_error_t
    You specified an invalid mode.

xcb_window_error_t
    The specified window does not exist.

SEE ALSO
xcb-requests(3), xcb_reparent_window(3)

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.